#!/usr/bin/env python
#-*- coding: UTF-8 -*-

import wx
from   .mumamisc import *
  
class TextEntryDialog(wx.Dialog):    
    
    def __init__(self, parent, infotext):        
        """  as """
        wx.Dialog.__init__(self, parent, -1, TITLE + ' - text entry')
        
        self.txtitem = ''
        sizer = wx.BoxSizer(wx.VERTICAL)        
        box = wx.StaticBox(self, -1, ' %s ' % infotext)
        sbsz = wx.StaticBoxSizer(box, wx.VERTICAL)
        btnadj = int(parent.config['Misc']['norm'] == 'False') 
        self.tc = wx.TextCtrl(self, -1, '', style = wx.TE_PROCESS_ENTER)
        sbsz.Add(self.tc, 0, wx.ALL | wx.GROW, GAP)
        self.Bind(wx.EVT_TEXT_ENTER, self.onOk, self.tc)
        #self.cbx.SetMark(0, -1)
        self.tc.SetFocusFromKbd()
        
        butok = wx.Button(self, wx.ID_OK)
        self.Bind(wx.EVT_BUTTON, self.onOk, id = wx.ID_OK)
        butcancel = wx.Button(self, wx.ID_CANCEL)
               
        row2 = wx.BoxSizer(wx.HORIZONTAL)
        if not btnadj: row2.AddStretchSpacer()
        row2.Add(butok, btnadj, wx.GROW | wx.ALL, GAP)
        self.Bind(wx.EVT_BUTTON, self.onOk, id = wx.ID_OK)
        row2.Add(butcancel, btnadj, wx.GROW | wx.ALL, GAP)
    
        sizer.Add(sbsz, 0, wx.GROW | LRT, BORDER)
        sizer.Add(row2, 0, wx.GROW | wx.ALL, GAP)
        self.SetSizer(sizer)
        self.SetMinSize(wx.Size(350, -1))
        self.Fit()
        self.Centre()
    #-------------------------------------------------------------------------------------------

    def onOk(self, event):
        self.txtitem = self.tc.GetValue()
        self.EndModal(wx.ID_OK)
    #-------------------------------------------------------------------------------------------

    def getValue(self):
        return self.txtitem
# - class ParamDialog(wx.Dialog):---------------------------------------------------------------
    


